%bcond_with bootstrap

Name:          jdom2
Version:       2.0.6.1
Release:       %mkrel 3
Group:         Development/Java
Summary:       Java manipulation of XML made easy
License:       Saxpath
URL:           http://www.jdom.org/
# ./generate-tarball.sh
Source0:       %{name}-%{version}.tar.gz
# Bnd tool configuration
Source3:       bnd.properties
# Remove bundled jars that might not have clear licensing
Source4:       generate-tarball.sh
# Use system libraries
# Disable gpg signatures
# Process contrib and junit pom files
Patch0:        0001-Adapt-build.patch

%if %{with bootstrap}
BuildRequires: javapackages-bootstrap
%else
BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: ant-junit
%endif

BuildArch:     noarch
#ExclusiveArch: %%{java_arches} noarch

%description
JDOM is a Java-oriented object model which models XML documents.
It provides a Java-centric means of generating and manipulating
XML documents. While JDOM inter-operates well with existing
standards such as the Simple API for XML (SAX) and the Document
Object Model (DOM), it is not an abstraction layer or
enhancement to those APIs. Rather, it seeks to provide a robust,
light-weight means of reading and writing XML data without the
complex and memory-consumptive options that current API
offerings provide.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jdom-JDOM-%{version}

%patch 0 -p1

sed -i 's/\r//' LICENSE.txt

# Unable to run coverage: use log4j12 but switch to log4j 2.x
sed -i.coverage "s|coverage, jars|jars|" build.xml

# XPath functionality is not needed
rm -rf core/src/java/org/jdom2/xpath/
sed -i '/import org.jdom2.xpath.XPathFactory/d' core/src/java/org/jdom2/JDOMConstants.java

%build
mkdir lib
%ant -Dversion=%{version} -Dcompile.source=1.8 -Dcompile.target=1.8 -Dj2se.apidoc=%{_javadocdir}/java maven

# Make jar into an OSGi bundle
# XXX disabled until BND is fixed
#bnd wrap --output build/package/jdom-%{version}.bar --properties %{SOURCE3} \
#         --version %{version} build/package/jdom-%{version}.jar
#mv build/package/jdom-%{version}.bar build/package/jdom-%{version}.jar

%install
%mvn_artifact build/maven/core/%{name}-%{version}.pom build/package/jdom-%{version}.jar
%mvn_install -J build/apidocs

%files -f .mfiles
%doc CHANGES.txt COMMITTERS.txt README.md TODO.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.6.1-3.mga10
+ Revision: 2223391
- Mageia 10 Mass Rebuild

* Fri May 24 2024 daviddavid <daviddavid> 2.0.6.1-2.mga10
+ Revision: 2066899
- Update Java source/target to 1.8 and rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 2.0.6.1-1.mga10
+ Revision: 1986767
- Update to upstream version 2.0.6.1

* Mon Jul 25 2022 neoclust <neoclust> 2.0.6-29.mga9
+ Revision: 1871039
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 2.0.6-28.mga9
+ Revision: 1870573
- Adapt BR to new javapackages-bootstrap

* Mon Jul 19 2021 neoclust <neoclust> 2.0.6-11.mga9
+ Revision: 1736892
- Add P100->102: Fixes CVE-2021-33813 (mga#29187)

* Mon Dec 28 2020 neoclust <neoclust> 2.0.6-10.mga8
+ Revision: 1664459
- Drop log4j12 dependency and switch junit module to log4j 1.2 API shim.

* Mon Sep 07 2020 daviddavid <daviddavid> 2.0.6-9.mga8
+ Revision: 1623153
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
- Drop optional isorelax verifier support from contrib
- Repack tarball without bundled jars
- The repacked jar contains slightly different source (force push by upstream?)
- Correct license tag
- Remove unneeded buildrequires

* Wed Feb 12 2020 umeabot <umeabot> 2.0.6-8.mga8
+ Revision: 1491663
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0.6-7.mga7
+ Revision: 1263627
- Mageia 7 Mass Rebuild

* Wed May 24 2017 neoclust <neoclust> 2.0.6-6.mga6
+ Revision: 1104385
- Add OSGi metadata to main jar
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.6-5.mga6
+ Revision: 976465
- First rebuild of the java stack
- sync package jdom2 with fedora
- imported package jdom2

* Tue Feb 09 2016 umeabot <umeabot> 2.0.5-7.mga6
+ Revision: 952025
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 2.0.5-6.mga5
+ Revision: 810647
- Sync with fc21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 2.0.5-3.mga5
+ Revision: 636535
- use objectweb-asm3

* Sun Dec 15 2013 dmorgan <dmorgan> 2.0.5-2.mga4
+ Revision: 557130
- imported package jdom2


* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 2.0.5-2
- use objectweb-asm3

* Thu Sep 12 2013 gil cattaneo <puntogil@libero.it> 2.0.5-1
- initial rpm
